Read an authorized workspace profile photo
const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/profile/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/profile/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://getoverlay.io/api/v1/workspaces/{workspaceId}/profile/photo \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Workspaces
Read an authorized workspace profile photo
GET
/
api
/
v1
/
workspaces
/
{workspaceId}
/
profile
/
photo
Read an authorized workspace profile photo
const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/profile/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {cookie: 'overlay_session='}};
fetch('https://getoverlay.io/api/v1/workspaces/{workspaceId}/profile/photo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://getoverlay.io/api/v1/workspaces/{workspaceId}/profile/photo \
--cookie overlay_session="<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Path Parameters
Query Parameters
Minimum string length:
1Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.